Range-v3 Range algorithms, views, and actions for the Standard Library |

Instances and minimal complete definitions | Public Types | Public Member Functions | List of all members
ranges::v3::action::adjacent_remove_if_fn Struct Reference

## Instances and minimal complete definitions
struct | ConceptImpl

## Public Types
template<typename R , typename Pred , typename Proj = ident>
using | Concept = concepts::models< ConceptImpl, R, Pred, Proj >

## Public Member Functions
template<typename R , typename Pred , typename Proj = ident, requires = (Concept<R, Pred, Proj>())>
R | operator() (R &&r, Pred pred, Proj proj={}) const noexcept